POST
Get Usage Analytics

Authorizations

Authorization
string
header
required

Simplismart API key (Settings > API Keys).

Query Parameters

skip_merge
boolean

Skip local merging of the response.

Body

application/json
external_customer_id
string

Defaults to your organisation.

start_time
string<date-time>

Start of range.

end_time
string<date-time>

End of range.

plan_type
enum<string>

Plan to report on. Setting it enables automatic source selection.

Available options:
shared,
private,
byoc,
reserved,
compilation,
training
sources
string[]

Cannot be combined with id/name filters.

workspace_id
string<uuid>

Used for automatic source selection.

group_by
string[]

Any of source, feature_id, properties.token_uuid, properties.user_id.

window_size
enum<string>

Aggregation window.

Available options:
MINUTE,
15MIN,
30MIN,
HOUR,
3HOUR,
6HOUR,
12HOUR,
DAY,
WEEK
feature_ids
string[]
property_filters
object

Keys: token_uuid, user_id, billing_class, workload, gpu_type. Token and user IDs must belong to your org.

expand
string[]

Defaults to ["price"].

deployment_ids
string[]

Only for plan_type private, byoc, reserved.

deployment_slugs
string[]

Same as above.

model_names
string[]

plan_type shared only.

training_job_ids
string[]

plan_type training only.

training_job_names
string[]

plan_type training only.

model_repo_ids
string[]

plan_type compilation only.

model_repo_names
string[]

plan_type compilation only.

statuses
string[]

Restrict by status.

Response

Successful response

items
any[]
total_cost
integer